//------------------------------------------------------
//
//   Greg's Blocks Mod - Common Proxy
//
//------------------------------------------------------

package gcewing.blocks;

import net.minecraft.src.*;
import net.minecraftforge.common.*;
import cpw.mods.fml.common.network.*;

public class Proxy implements IGuiHandler {

	public final static int guiSawbench = 1;
	
	public void load() {
	}

	/**
	 * Returns a Container to be displayed to the user. 
	 * On the client side, this needs to return a instance of GuiScreen
	 * On the server side, this needs to return a instance of Container
	 *
	 * @param ID The Gui ID Number
	 * @param player The player viewing the Gui
	 * @param world The current world
	 * @param x X Position
	 * @param y Y Position
	 * @param z Z Position
	 * @return A GuiScreen/Container to be displayed to the user, null if none.
	 */
	
	@Override
	public Object getServerGuiElement(int id, EntityPlayer player, World world, int x, int y, int z) {
		//System.out.printf("Proxy.getServerGuiElement %d\n", id);
		TileEntity te = world.getBlockTileEntity(x, y, z);
		if (te != null) {
			//System.out.printf("mod_GregsBlocks.getGuiElement: have TE\n");
			switch (id) {
				case guiSawbench:
					return new ContainerSawbench(player.inventory, (TESawbench)te);
			}
		}
		return null;
	}

	public Object getClientGuiElement(int id, EntityPlayer player, World world, int x, int y, int z) {
		return null;
	}

	public World getWorld() {
		return null;
	}

//	public TileEntity getTileEntityForNBT(NBTTagCompound tag) {
//		return null;
//	}

	public static void openGuiSawbench(World world, int x, int y, int z, EntityPlayer player) {
		//System.out.printf("Proxy.openGuiSawbench\n");
		player.openGui(GregsBlocks.mod, guiSawbench, world, x, y, z);
	}

}
