package gcewing.blocks;

import java.io.*;
import java.util.Random;
import net.minecraft.src.*;

public class Utils {

	public static Random random = new Random();

	public static void dumpInventoryIntoWorld(World world, int x, int y, int z) {
		IInventory te = (IInventory)world.getBlockTileEntity(x, y, z);
		if (te != null) {
			for (int i = 0; i < te.getSizeInventory(); ++i) {
				ItemStack stack = te.getStackInSlot(i);
				if (stack != null) {
					float dx = random.nextFloat() * 0.8F + 0.1F;
					float dy = random.nextFloat() * 0.8F + 0.1F;
					float dz = random.nextFloat() * 0.8F + 0.1F;
					while (stack.stackSize > 0) {
						int n = random.nextInt(21) + 10;
						if (n > stack.stackSize) {
							n = stack.stackSize;
						}
						stack.stackSize -= n;
						EntityItem entity = new EntityItem(world, x + dx, y + dy, z + dz, new ItemStack(stack.itemID, n, stack.getItemDamage()));
						if (stack.hasTagCompound()) {
							entity.item.setTagCompound((NBTTagCompound)stack.getTagCompound().copy());
						}
						float f = 0.05F;
						entity.motionX = random.nextGaussian() * f;
						entity.motionY = random.nextGaussian() * f + 0.2F;
						entity.motionZ = random.nextGaussian() * f;
						world.spawnEntityInWorld(entity);
					}
				}
			}
		}
	}
	
	public static int placementRotation(EntityLiving player) {
		return MathHelper.floor_double((player.rotationYaw * 4.0 / 360.0) + 0.5) & 3;
	}
	
	public static ItemStack blockStackWithTileEntity(Block block, int size, TileEntity te) {
		ItemStack stack = new ItemStack(block, size);
		NBTTagCompound tag = new NBTTagCompound("tag");
		te.writeToNBT(tag);
		tag.setInteger("x", 0);
		tag.setInteger("y", 0);
		tag.setInteger("z", 0);
		stack.setTagCompound(tag);
		return stack;
	}
	
	public static boolean playerIsInCreativeMode(EntityPlayer player) {
		return (player instanceof EntityPlayerMP)
			&& ((EntityPlayerMP)player).theItemInWorldManager.isCreative();
	}
		
}
